org.keycloak.authentication

## Class AuthenticationFlowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.keycloak.authentication.AuthenticationFlowException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ForkFlowException

      public class AuthenticationFlowException
      extends RuntimeException

  Throw this exception from an Authenticator, FormAuthenticator, or FormAction if you want to completely abort the flow.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationFlowException(AuthenticationFlowError error)`
    `AuthenticationFlowException(AuthenticationFlowError error, javax.ws.rs.core.Response response)`
    `AuthenticationFlowException(List<AuthenticationFlowException> afeList)`
    `AuthenticationFlowException(String message, AuthenticationFlowError error)`
    `AuthenticationFlowException(String message, Throwable cause, AuthenticationFlowError error)`
    `AuthenticationFlowException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, AuthenticationFlowError error)`
    `AuthenticationFlowException(Throwable cause, AuthenticationFlowError error)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AuthenticationFlowException>` | `getAfeList()`
    `AuthenticationFlowError` | `getError()`
    `javax.ws.rs.core.Response` | `getResponse()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationFlowException

          public AuthenticationFlowException(AuthenticationFlowError error)

    - #### AuthenticationFlowException

          public AuthenticationFlowException(AuthenticationFlowError error,
                                             javax.ws.rs.core.Response response)

    - #### AuthenticationFlowException

          public AuthenticationFlowException(String message,
                                             AuthenticationFlowError error)

    - #### AuthenticationFlowException

          public AuthenticationFlowException(String message,
                                             Throwable cause,
                                             AuthenticationFlowError error)

    - #### AuthenticationFlowException

          public AuthenticationFlowException(Throwable cause,
                                             AuthenticationFlowError error)

    - #### AuthenticationFlowException

          public AuthenticationFlowException(List<AuthenticationFlowException> afeList)

    - #### AuthenticationFlowException

          public AuthenticationFlowException(String message,
                                             Throwable cause,
                                             boolean enableSuppression,
                                             boolean writableStackTrace,
                                             AuthenticationFlowError error)

  - ### Method Detail

    - #### getError

          public AuthenticationFlowError getError()

    - #### getResponse

          public javax.ws.rs.core.Response getResponse()

    - #### getAfeList

          public List<AuthenticationFlowException> getAfeList()

Copyright © 2021 JBoss by Red Hat. All rights reserved.